Subject: bug#58497: opam import doesn't work with ocaml_intrinsics among others

From: Simon Tournier <[email-masked]>
Date: Wed, 11 Oct 2023 11:02:32 +0200

Hi,

It is about bug#58497 [1], and I cannot reproduce.  I think the reported
bug had been fixed.  I am in favor to close.  WDYT?

    1: https://issues.guix.gnu.org/issue/58497

On Thu, 13 Oct 2022 at 18:07, Csepp <[email-masked]> wrote:

> guix import opam ocaml_intrinsics
> Backtrace:

Using Guix 6113e05, I get:

--8<---------------cut here---------------start------------->8---
$ guix import opam ocaml_intrinsics
(package
  (name "ocaml-intrinsics")
  (version "0.16.0")
  (source no-source-information)
  (build-system dune-build-system)
  (propagated-inputs (list ocaml-dune-configurator))
  (properties `((upstream-name . "ocaml_intrinsics")))
  (home-page "https://github.com/janestreet/ocaml_intrinsics")
  (synopsis "Intrinsics")
  (description
   "This package provides functions to invoke amd64 instructions (such as
clz,popcnt,rdtsc,rdpmc) when available, or compatible software implementation on
other targets.")
  (license license:expat))
--8<---------------cut here---------------end--------------->8---

Cheers,
simon